package es.uv.saic.dto;

import es.uv.saic.domain.Usuari;

public class UsuariDTO {
    private String nom;
    private String cognoms;
    private String email;
    private String usuari;
    
    public UsuariDTO(String nom, String cognoms, String email, String usuari) {
        this.nom = nom;
        this.cognoms = cognoms;
        this.email = email;
        this.usuari = usuari;
    }

    public UsuariDTO(Usuari usuari) {
        this.nom = usuari.getNom();
        this.cognoms = usuari.getCognoms();
        this.email = usuari.getEmail();
        this.usuari = usuari.getUsuari();
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getCognoms() {
        return cognoms;
    }

    public void setCognoms(String cognoms) {
        this.cognoms = cognoms;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getUsuari() {
        return usuari;
    }

    public void setUsuari(String usuari) {
        this.usuari = usuari;
    }
    
}
